UiPath Documentation
document-understanding
2.2510
true
  • Démarrage
    • Vue d'ensemble (Overview)
    • Limites et quotas
  • Exemples d’utilisation de l’API Document Understanding™
  • Licences
  • Résolution des problèmes
Important :
La localisation du contenu nouvellement publié peut prendre 1 à 2 semaines avant d’être disponible.
UiPath logo, featuring letters U and I in white

Document Understanding API guide

Dernière mise à jour 6 avr. 2026

Récupérer la demande d'extraction

Astuce :

For detailed information on the response schema, check the Requests response schemas page. There you can find more information on the request status and other field.

Obtenir les champs d'extraction d'un document

Utilisez le operationID précédemment reçu dans la réponse d'appel POST.

Astuce :

The Project ID is obtained from the response received from the Get project information call.

curl -X 'GET' \ 'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhbGciOiJSUz***u-qA'
curl -X 'GET' \ 'https://{fqdn}/<Organization_Name>/<Tenant_Name>/du_/api/framework/projects/<Project_ID>/extractors/invoices/extraction/result/eee0a911-dfe8-ed11-907c-6045bd9d17d0?api-version=1' \
-H 'accept: text/plain' \
-H 'Authorization: Bearer eyJhbGciOiJSUz***u-qA'

Obtenir la réponse de l'extraction des champs d'un document

Cet exemple a été réduit pour des raisons de lisibilité.

{
  "status": "Succeeded",
  "createdAt": "2023-05-02T11:47:10.0145504Z",
  "lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
  "result": {
    "extractionResult": {
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "resultsVersion": 0,
      "resultsDocument": {
        "bounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "language": "eng",
        "documentGroup": "",
        "documentCategory": "",
        "documentTypeId": "invoices",
        "documentTypeName": "Invoices",
        "documentTypeDataVersion": 0,
        "dataVersion": 0,
        "documentTypeSource": "Automatic",
        "documentTypeField": {
          "components": [],
          "value": "Invoices",
          "unformattedValue": "",
          "reference": {
            "textStartIndex": 0,
            "textLength": 0,
            "tokens": []
          },
          "derivedFields": [],
          "confidence": 1,
          "operatorConfirmed": false,
          "ocrConfidence": -1,
          "textType": "Unknown"
        },
        "fields": [
          {
            "fieldId": "iban",
            "fieldName": "IBAN",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "bank-addr",
            "fieldName": "Bank Address",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "tax-rate",
            "fieldName": "Tax Rate",
            "fieldType": "Number",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          }
        ],
        "tables": [
          {
            "fieldId": "items",
            "fieldName": "items",
            "isMissing": false,
            "dataSource": "Automatic",
            "dataVersion": 0,
            "operatorConfirmed": false,
            "values": [
              {
                "operatorConfirmed": false,
                "confidence": 0.8858047,
                "ocrConfidence": -1,
                "cells": [
                  {
                    "rowIndex": 1,
                    "columnIndex": 5,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  },
                  {
                    "rowIndex": 1,
                    "columnIndex": 6,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  }
                ],
                "columnInfo": [
                  {
                    "fieldId": "description",
                    "fieldName": "Description",
                    "fieldType": "Text"
                  },
                  {
                    "fieldId": "quantity",
                    "fieldName": "Quantity",
                    "fieldType": "Number"
                  },

                ],
                "numberOfRows": 2
              }
            ]
          }
        ]
      },
      "extractorPayloads": null,
      "businessRulesResults": null
    }
  }
}
{
  "status": "Succeeded",
  "createdAt": "2023-05-02T11:47:10.0145504Z",
  "lastUpdatedAt": "2023-05-02T11:47:12.6533333Z",
  "result": {
    "extractionResult": {
      "documentId": "25a03e48-cfe8-ed11-9f75-000d3a4964af",
      "resultsVersion": 0,
      "resultsDocument": {
        "bounds": {
          "startPage": 0,
          "pageCount": 1,
          "textStartIndex": 0,
          "textLength": 929
        },
        "language": "eng",
        "documentGroup": "",
        "documentCategory": "",
        "documentTypeId": "invoices",
        "documentTypeName": "Invoices",
        "documentTypeDataVersion": 0,
        "dataVersion": 0,
        "documentTypeSource": "Automatic",
        "documentTypeField": {
          "components": [],
          "value": "Invoices",
          "unformattedValue": "",
          "reference": {
            "textStartIndex": 0,
            "textLength": 0,
            "tokens": []
          },
          "derivedFields": [],
          "confidence": 1,
          "operatorConfirmed": false,
          "ocrConfidence": -1,
          "textType": "Unknown"
        },
        "fields": [
          {
            "fieldId": "iban",
            "fieldName": "IBAN",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "bank-addr",
            "fieldName": "Bank Address",
            "fieldType": "Text",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          },
          {
            "fieldId": "tax-rate",
            "fieldName": "Tax Rate",
            "fieldType": "Number",
            "isMissing": true,
            "dataSource": "Automatic",
            "values": [],
            "dataVersion": 0,
            "operatorConfirmed": false
          }
        ],
        "tables": [
          {
            "fieldId": "items",
            "fieldName": "items",
            "isMissing": false,
            "dataSource": "Automatic",
            "dataVersion": 0,
            "operatorConfirmed": false,
            "values": [
              {
                "operatorConfirmed": false,
                "confidence": 0.8858047,
                "ocrConfidence": -1,
                "cells": [
                  {
                    "rowIndex": 1,
                    "columnIndex": 5,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  },
                  {
                    "rowIndex": 1,
                    "columnIndex": 6,
                    "isHeader": false,
                    "isMissing": true,
                    "operatorConfirmed": false,
                    "dataSource": "Automatic",
                    "dataVersion": 0,
                    "values": null
                  }
                ],
                "columnInfo": [
                  {
                    "fieldId": "description",
                    "fieldName": "Description",
                    "fieldType": "Text"
                  },
                  {
                    "fieldId": "quantity",
                    "fieldName": "Quantity",
                    "fieldType": "Number"
                  },

                ],
                "numberOfRows": 2
              }
            ]
          }
        ]
      },
      "extractorPayloads": null,
      "businessRulesResults": null
    }
  }
}

Cette page vous a-t-elle été utile ?

Connecter

Besoin d'aide ? Assistance

Vous souhaitez apprendre ? UiPath Academy

Vous avez des questions ? UiPath Forum

Rester à jour